'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = VariableFactory;

var _nukeCore = require('nuke-core');

function VariableFactory(theme) {
  var Core = theme.Core;
  var ComponentCustomStyle = theme.NumberPicker;

  // / @namespace statement
  var HandlerBgColor = (0, _nukeCore.vLoader)(Core['color-white']);
  // / size
  // / @namespace size/handle
  var HandlerSize = (0, _nukeCore.vLoader)(Core.s6);
  var HandlerBorderWidth = (0, _nukeCore.vLoader)(1, 0);
  var HandlerBorderColor = (0, _nukeCore.vLoader)(Core['color-line1-1'], 'transparent');

  // / handler
  // / @namespace statement/disabled
  var DisabledHandlerBgColor = (0, _nukeCore.vLoader)(Core['color-fill1-3']);

  // / bar-underlay
  // / @namespace statement
  var LineBarBgColor = (0, _nukeCore.vLoader)(Core['color-line1-3']);

  // / bar-overlay
  // / @namespace statement
  var BarOverlayColor = (0, _nukeCore.vLoader)(Core['color-brand1-9']);

  // / height
  // / @namespace size/bar
  var BarHeight = (0, _nukeCore.vLoader)(4);

  // / padding(l,r)
  // / @namespace size/bounding
  var PaddingLeftRight = (0, _nukeCore.vLoader)(Core.s4);

  // / padding(t,b)
  // / @namespace size/bounding
  var PaddingTopBottom = (0, _nukeCore.vLoader)(Core.s2);

  var variables = {
    'bar-height': BarHeight,
    'handler-bg-color': HandlerBgColor,
    'handler-size': HandlerSize,
    'handler-border-width': HandlerBorderWidth,
    'handler-border-color': HandlerBorderColor,

    'disabled-handler-bg-color': DisabledHandlerBgColor,
    'line-bar-bg-color': LineBarBgColor,
    'bar-overlay-color': BarOverlayColor,
    'padding-left-right': PaddingLeftRight,
    'padding-top-bottom': PaddingTopBottom
  };
  return _extends({}, variables, ComponentCustomStyle);
}
module.exports = exports['default'];